The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Apache Upgrade issue (recompile with curl and others)

Discussion in 'EasyApache' started by Glasswalker, Dec 2, 2005.

  1. Glasswalker

    Glasswalker Member

    Joined:
    Oct 12, 2005
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Ok, I am trying to recompile apache with the following php modules installed: curl, openssl.

    It was working perfectly fine. Then I go into the menu in WHM, check the two features I need, and recompile... it gets errors during compile, and brings my whole bloody webserver down... I had to go in and restore the old config from scratch, but even then, the server at least works, but still doesn't have those features!

    I have allready cleared the /home/buildapache (or whatever it is called exactly) lol... And I have rebuild fresh. As well as I have tried building from the commandline with easyapache script. same result... The errors I am getting seem to be related to Bytelogs statements in the httpd.conf file... so the httpd.conf that is generated is missing stuff (including all the options that I wanted to compile in!)

    Anyway any help would be appreciated...

    Here is the last bunch of lines before the errors:

    configure php-4.3.11...(--with-apxs=/usr/local/apache/bin/apxs --prefix=/usr --with-xml --enable-bcmath --enable-calendar --with-curl --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-mcrypt --with-mhash --enable-magic-quotes --with-mysqli --with-mysql=/usr --with-openssl --enable-discard-path --with-pear --enable-sockets --enable-track-vars --enable-versioning --with-zlib).... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done

    make -j 1 php-4.3.11...(clean).... Done

    make -j 1 php-4.3.11....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done

    make php-4.3.11...(install).... . . . . . . . Done

    /etc/rc.d/init.d/httpd start: httpd could not be started

    configure php-4.3.11...(--prefix=/usr/local --with-xml --enable-bcmath --enable-calendar --with-curl --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-mcrypt --with-mhash --enable-magic-quotes --with-mysqli --with-mysql=/usr --with-openssl --enable-discard-path --with-pear --enable-sockets --enable-track-vars --enable-versioning --with-zlib).... . . . . . . . . . . . . Done

    make -j 1 php-4.3.11...(clean).... Done

    make -j 1 php-4.3.11....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done

    make: *** [sapi/cgi/php] Error 1

    make php-4.3.11...(install).... . Done

    make: *** [sapi/cgi/php] Error 1
    initfpsuexec: using apache 1.x support
    PHP version file has been updated to 4.3.11
    Executing /scripts/postbuildapache (if exists)...Done
    /etc/rc.d/init.d/httpd start: httpd could not be started
     
  2. Glasswalker

    Glasswalker Member

    Joined:
    Oct 12, 2005
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    Just a note, also I am running Fedora Core 4 on the server...
    WHM 10.6.0
    CPanel 10.8.0 R65
     
  3. bijo

    bijo Well-Known Member

    Joined:
    Aug 21, 2004
    Messages:
    475
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    India
    Hello,

    What error did you get at the time of running config test?.
    Try the following command

    /usr/local/apache/bin/apachectl configtest
     
  4. Glasswalker

    Glasswalker Member

    Joined:
    Oct 12, 2005
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    It tests out perfectly fine right now, if I were to recompile again, it gives an error about "Unknown directive Byteslog, perhaps something is missing" (or something to that effect, I don't have the exact error handy, and I can't get the error without breaking the server again, and it is a production server)

    The config file errors are just one problem, I get them any time I recompile apache, it appears that the cpanel stuff just destroys the apache config... So I have to manually replace it every time. (this is an issue I would like fixed, but isn't my primary concern, my primary problem is the inability to get curl/ssl turned on)
     
  5. jclarkkent2003

    Joined:
    Aug 8, 2005
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    1
    now you see why I am scared to death of upgrading apache/php ?

    I get problems every time as well, that's why I hate cpanel for that exact reason.

    Well good luck with your issues and if you get them fixed, please let me know how you did so.

    Do you know how to recompile apache WITH mod_proxy installed and activated? That is what I need to do, aside from a total upgrade of php and apache.

    I just don't want to run the upgrade then see some bs error and my entire servre is down.

    if your getting that bandmin message it means you didn't compile apache with cpanel, you MUST compile it using easy apache or you will get hella error, the byteslog is one and there's like 4 others after that, then when you get all 5 of those fixed, apache will not start and will give NO errors anywhere, configtest says syntax ok.

    hah.....
     
Loading...

Share This Page